package poker2;

import poker.*;
import java.util.ArrayList;
import java.util.*;

public class PokerGame2 {

    public String ganadores(List<Carta[]> jugadas) {
        System.out.println("Cantidad de jugadas: " + jugadas.size());
        for (Carta[] mano : jugadas) {
            System.out.println("JUGADA ======================");

            for (Carta c : mano) {
                System.out.println(c.valorPalo());
            }
        }
        return "0";
    }

    public static void main(String args[]) {
        int puntosMano1, puntosMano2;
        ArrayList[] manos;
        PokerGame2 pokerGanador = new PokerGame2();
        pokerGame pokerJugadas = new pokerGame();
        ArrayList<Carta> mano1 = new ArrayList<Carta>();
        ArrayList<Carta> mano2 = new ArrayList<Carta>();

        // agregamos la mano 1
        Carta carta1 = new Carta("2S  ");
        Carta carta2 = new Carta("2C  ");
        Carta carta3 = new Carta("4H   ");
        Carta carta4 = new Carta("5D ");
        Carta carta5 = new Carta("5C ");
        mano1.add(carta1);
        mano1.add(carta2);
        mano1.add(carta3);
        mano1.add(carta4);
        mano1.add(carta5);
        // agregamos la mano2
        Carta carta6 = new Carta("AS  ");
        Carta carta7 = new Carta("AC  ");
        Carta carta8 = new Carta("AH   ");
        Carta carta9 = new Carta("4D ");
        Carta carta10 = new Carta("4C ");
        mano2.add(carta6);
        mano2.add(carta7);
        mano2.add(carta8);
        mano2.add(carta9);
        mano2.add(carta10);
        // IMPRIMIMOS LAS MANOS
        System.out.println("MANO1:");
        for (Carta c1 : mano1) {
            System.out.print(c1.valorPalo() + " ");
        }

        System.out.println(" ");

        System.out.println("MANO2:");
        for (Carta c2 : mano2) {
            System.out.print(c2.valorPalo() + " ");
        }
        puntosMano1 = pokerGanador.valorJugada(pokerJugadas.jugadas(mano1));
        puntosMano2 = pokerGanador.valorJugada(pokerJugadas.jugadas(mano2));
        System.out.println(" ");
        /*
         * System.out.println(" \nPuntos Mano1 = " + puntosMano1);
         * System.out.println(pokerJugadas.jugadas(mano1));
         * 
         * System.out.println(" \nPuntos Mano2 = " + puntosMano2);
         * System.out.println(pokerJugadas.jugadas(mano2));
         */
        // FUNCION QUE COMPARA LAS JUGADAS
        if (puntosMano1 > puntosMano2) {
            System.out.println("LA MANO GANADORA ES:");

            for (Carta c1 : mano1) {
                System.out.print(c1.valorPalo() + " ");
            }

            System.out.println(pokerJugadas.jugadas(mano1));

        } else {

            System.out.println("LA MANO GANADORA ES:");

            for (Carta c2 : mano2) {
                System.out.print(c2.valorPalo() + " ");
            }

            System.out.println(pokerJugadas.jugadas(mano2));

        }
    }

    public int valorJugada(String jugada) {
        int result;
        switch (jugada) {
            case "ESCALERA COLOR":
                result = 9;
                break;
            case "POKER":
                result = 8;
                break;
            case "FULL":
                result = 7;
                break;
            case "COLOR":
                result = 6;
                break;
            case "ESCALERA":
                result = 5;
                break;
            case "TRIO":
                result = 4;
                break;
            case "DOBLE PAREJA":
                result = 3;
                break;
            case "PAREJA":
                result = 2;
                break;
            case "CARTA ALTA":
                result = 1;
                break;
            default:
                result = -1;
                break;
        }
        return result;

    }

}
